# Reports

## Generate Organization Transactions Report by valid organizationGuid

> &#x20;Sample request to get transactions report filters by PaymentDate after (operation 7 = After)> \
> &#x20;January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning page index 1> \
> &#x20;and page size 1000 records.> \\
>
> \
> &#x20;Please see Filters and Operation parameters defined here for requests: <https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report#body-parameter-definitions>> \\
>
> \
> &#x20;    POST /api/organizationTransactionsReport?organizationGuid=87654321-9012-3456-7890-123456789012> \
> &#x9;	{> \
> &#x20; 		"Filters": \[> \
> &#x20;   		{> \
> &#x20;     		"Name": "PaymentDate",> \
> &#x20;     		"Operation": 7,> \
> &#x20;     		"Values": \[> \
> &#x20;      		 "2026-01-01"> \
> &#x20;     		]> \
> &#x20;   		}> \
> &#x20; 		],> \
> &#x20; 		"SortColumns": \[> \
> &#x20;   		{> \
> &#x20;     		"Name": "PaymentDate",> \
> &#x20;     		"Descending": true,> \
> &#x20;     		"Order": 0> \
> &#x20;   		}> \
> &#x20; 		],> \
> &#x20; 		"PageSize": 1000,> \
> &#x20; 		"PageIndex": 1> \
> &#x9;	}

```json
{"openapi":"3.0.1","info":{"title":"The Payment API","version":"v1"},"paths":{"/api/organizationTransactionsReport":{"post":{"tags":["Reports"],"summary":"Generate Organization Transactions Report by valid organizationGuid","description":" Sample request to get transactions report filters by PaymentDate after (operation 7 = After)\r\n January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning page index 1\r\n and page size 1000 records.\r\n\r\n Please see Filters and Operation parameters defined here for requests: https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report#body-parameter-definitions\r\n\r\n     POST /api/organizationTransactionsReport?organizationGuid=87654321-9012-3456-7890-123456789012\r\n\t\t{\r\n  \t\t\"Filters\": [\r\n    \t\t{\r\n      \t\t\"Name\": \"PaymentDate\",\r\n      \t\t\"Operation\": 7,\r\n      \t\t\"Values\": [\r\n       \t\t \"2026-01-01\"\r\n      \t\t]\r\n    \t\t}\r\n  \t\t],\r\n  \t\t\"SortColumns\": [\r\n    \t\t{\r\n      \t\t\"Name\": \"PaymentDate\",\r\n      \t\t\"Descending\": true,\r\n      \t\t\"Order\": 0\r\n    \t\t}\r\n  \t\t],\r\n  \t\t\"PageSize\": 1000,\r\n  \t\t\"PageIndex\": 1\r\n\t\t}","parameters":[{"name":"organizationGuid","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"AccessToken","in":"header","description":"access token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionReportDetailPagedResults"}}}},"400":{"description":"Failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BrokenRule"}}}}}}}}},"components":{"schemas":{"PaymentReportRequest":{"type":"object","properties":{"Filters":{"type":"array","items":{"$ref":"#/components/schemas/SelectedConstraintDto"},"description":"Report Filters","nullable":true},"SortColumns":{"type":"array","items":{"$ref":"#/components/schemas/SortColumnDto"},"description":"Sort Columns","nullable":true},"PageSize":{"type":"integer","description":"How many records to return per page.","format":"int32"},"PageIndex":{"type":"integer","description":"Which page of results to return. Starts at 1 (0 will also return the first page)","format":"int32"}},"additionalProperties":false,"description":""},"SelectedConstraintDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Operation":{"$ref":"#/components/schemas/ConstraintOperation"},"Values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"ConstraintOperation":{"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23],"type":"integer","format":"int32"},"SortColumnDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Descending":{"type":"boolean"},"Order":{"type":"integer","format":"int32"}},"additionalProperties":false},"TransactionReportDetailPagedResults":{"type":"object","properties":{"CurrentPage":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"Results":{"type":"array","items":{"$ref":"#/components/schemas/TransactionReportDetail"},"nullable":true},"TotalPages":{"type":"integer","format":"int32"},"TotalRows":{"type":"integer","format":"int32"}},"additionalProperties":false},"TransactionReportDetail":{"type":"object","properties":{"PaymentDate":{"type":"string","description":"Payment Date of transaction","format":"date-time"},"PaymentGuid":{"type":"string","description":"Payment API Payment GUID","format":"uuid"},"PaymentId":{"type":"integer","description":"Payment API Payment Id","format":"int32"},"PaymentExternalId":{"type":"string","description":"Payment Gateway TransactionId - is the TransactionId of a Payment Response object","nullable":true},"OriginalExternalID":{"type":"string","description":"Original Payment Gateway TransactionId - is the Original TransactionId of a Payment Response object","nullable":true},"ProcessStatus":{"$ref":"#/components/schemas/ProcessStatus"},"ProcessStatusValue":{"type":"string","description":"Process Status value - possible values: NotProcessed = 1 \"Not Processed\", Authorized = 2 \"Awaiting Authorization\", Settled = 4 \"Authorized\", Rejected = 5 \"Rejected\", RefundRequired = 6 \"Refund Required\", AwaitingRefund = 7 \"Awaiting Refund\", Refunded = 8 \"Refunded\", Cancelled = 9 \"Cancelled\", Chargeback = 10 \"Chargeback\", RefundRejected = 11 \"Refund Rejected\"","nullable":true},"PaymentResult":{"$ref":"#/components/schemas/PaymentResult"},"PaymentResultValue":{"type":"string","description":"Payment Result value - possible values: \"Pending\" = 1, \"Processing\" = 2, \"Successful\" = 3, \"Failed\" = 4, \"Refunded\" = 5, \"Cancelled\" = 6","nullable":true},"ExternalConstituentId":{"type":"string","description":"Donor Identifier","nullable":true},"FirstName":{"type":"string","description":"billing First Name","nullable":true},"LastName":{"type":"string","description":"billing Last Name","nullable":true},"Email":{"type":"string","description":"contact email","nullable":true},"CardHolderName":{"type":"string","description":"Name on Card","nullable":true},"CCLastDigits":{"type":"string","description":"if available - last 4 digits of card","nullable":true},"ExpirationDate":{"type":"string","description":"MM/YY format","nullable":true},"CCType":{"type":"string","description":"possible values if available: \"American Express\", \"Mastercard\", \"Visa\", \"Discover\", \"Diners Club\", Undefined","nullable":true},"CoverTheFee":{"type":"string","description":"YES/NO - did donor Cover the Fees on Donation.","nullable":true},"DonationAmount":{"type":"number","description":"The total donation amount requested.","format":"double"},"CoverTheFeeAmount":{"type":"number","description":"The total donation amount requested.","format":"double"},"TransactionAmount":{"type":"number","description":"The total transaction amount processed toward the cardholder's account.","format":"double"},"ServiceFees":{"type":"number","description":"The calculated total fees amount of the list of transaction lines.","format":"double"},"AmountPaid":{"type":"number","description":"The total transaction amount minus processing Fees","format":"double"},"Taxes":{"type":"number","description":"The calculated total tax amount of the list of transaction lines if any.","format":"double"},"Recurring":{"type":"string","description":"if available - YES/NO - if recurring billing contract used for transaction","nullable":true},"RecurringFrequency":{"type":"string","description":"if available - if recurring billing contract used for transaction\r\nPossible values:\r\n    \"Daily\", (once per day)\r\n    \"Weekly\", (once per week)\r\n    \"Bi-Weekly\", (once per 2 weeks)\r\n    \"Monthly\", (once per month)\r\n    \"Bi-Monthly\", (Once every 2 months)\r\n    \"Semi-Monthly\", (twice per month)\r\n    \"Quarterly\", (four times per year)\r\n    \"Semi-Annually\", (twice per year)\r\n    \"Annually\" (once per year)","nullable":true},"RecurringProfileGuid":{"type":"string","description":"if available - GUID that identifies the recurring billing contract used for transaction","format":"uuid","nullable":true},"NextBillDate":{"type":"string","description":"if available - Next Billing date of the recurring billing contract used for transaction","format":"date-time","nullable":true},"DistributionType":{"$ref":"#/components/schemas/DistributionType"},"DistributionTypeValue":{"type":"string","description":"if available for Non-Profit Charity data - Distribution Type value - possible values: \"Direct Deposit\" = 1, \"Check\" = 2. Indicates the payment method that was used to disburse the funds to the Charity.","nullable":true},"DistributionStatus":{"type":"string","description":"if available for Non-Profit Charity data - possible values: \"Processing\", \"Settled\", \"Refunded\", \"Voided\"","nullable":true},"DistributionId":{"type":"integer","description":"if available for Non-Profit Charity data - Unique identifier for the distribution.","format":"int32","nullable":true},"SourceGuid":{"type":"string","description":"Source used","format":"uuid"},"SourceName":{"type":"string","nullable":true},"CharityId":{"type":"string","description":"if available for Non-Profit Charity data - CharityId used","nullable":true},"OrganizationName":{"type":"string","description":"if available Non-Profit Charity data - Organization Name","nullable":true},"Ein":{"type":"string","description":"if available for Non-Profit Charity data - Charity EIN","nullable":true},"ExternalEventId":{"type":"string","description":"Event Identifier per Product","nullable":true},"ExternalEventGuid":{"type":"string","description":"Event Guid per Product","format":"uuid"},"ExternalEventName":{"type":"string","description":"Event Name per Product","nullable":true},"TaxableBenefit":{"type":"number","description":"optional - If part of the original donation transaction, amount passed in that was taxable. No calculations were performed using this value, it is simply a placeholder to be used for your own reporting;","format":"double"},"TranId":{"type":"string","description":"unique tran id per Integration Source if available","nullable":true},"VoidRequestDate":{"type":"string","description":"Date of Void Request if available","format":"date-time","nullable":true},"VoidReason":{"type":"string","description":"Void Reason submitted if available","nullable":true},"RefundRequestDate":{"type":"string","description":"Date of Refund Request if available","format":"date-time","nullable":true},"RefundReason":{"type":"string","description":"Refund Reason submitted if available","nullable":true},"ProcessorId":{"type":"integer","description":"ProcessorId used","format":"int32","nullable":true},"ProcessorGuid":{"type":"string","description":"ProcessorGuid used","format":"uuid","nullable":true},"PaymentMethodTypeId":{"type":"integer","description":"possible values if available:\r\nNONE = 0,\r\nAMEX = 1,\r\nMASTERCARD = 2,\r\nVISA = 3,\r\nDISCOVER = 4,\r\nDINERSCLUB = 5,\r\nACH = 7,\r\nGOOGLEPAY = 8,\r\nAPPLEPAY = 9","format":"int32","nullable":true},"PaymentMethodTypeIdValue":{"type":"string","description":"\"NONE\" = 0,\r\n\"AMEX\" = 1,\r\n\"MASTERCARD\" = 2,\r\n\"VISA\" = 3,\r\n\"DISCOVER\" = 4,\r\n\"DINERSCLUB\" = 5,\r\n\"ACH\" = 7,\r\n\"GOOGLEPAY\" = 8,\r\n\"APPLEPAY\" = 9","nullable":true},"Surcharge":{"type":"number","description":"if available - The total surcharge amount.","format":"double","nullable":true},"IsSurchargeEligible":{"type":"boolean","description":"if available - Was card used Surcharge eligible","nullable":true},"CheckLastDigits":{"type":"string","description":"if available - last 4 digits of check account used","nullable":true},"CheckNumber":{"type":"string","description":"if available - Valid Check Number used","nullable":true},"CheckTypeId":{"type":"integer","description":"if available for Check transactions - possible values -\r\n        1 = Personal,\r\n        2 = Corporate,\r\n        3 = Government","format":"int32","nullable":true},"CheckTypeIdValue":{"type":"string","description":"if available for Check transactions - possible values -\r\n        \"Personal\" = 1,\r\n        \"Corporate\" = 2,\r\n        \"Government\" = 3","nullable":true},"CheckAccountTypeId":{"type":"integer","description":"if available for Check transactions - possible values -\r\n        1 = Checking,\r\n        2 = Savings","format":"int32","nullable":true},"CheckAccountTypeIdValue":{"type":"string","description":"if available for Check transactions - possible values -\r\n        \"Checking\" = 1,\r\n        \"Savings\" = 2","nullable":true},"EpfSessionId":{"type":"string","description":"FrontStream unique Embedded Payment Form Session Id if available","format":"uuid","nullable":true},"TransactionLines":{"type":"array","items":{"$ref":"#/components/schemas/TransactionLinesDetail"},"nullable":true}},"additionalProperties":false,"description":"Transaction Report Details"},"ProcessStatus":{"enum":[1,2,3,4,5,6,7,8,9,10,11,12],"type":"integer","format":"int32"},"PaymentResult":{"enum":[1,2,3,4,5,6],"type":"integer","format":"int32"},"DistributionType":{"enum":[1,2],"type":"integer","format":"int32"},"TransactionLinesDetail":{"type":"object","properties":{"PaymentGuid":{"type":"string","description":"Payment API Payment GUID for reference","format":"uuid"},"PaymentLineId":{"type":"integer","description":"Payment API Payment Line Identifier for reference","format":"int32"},"PaymentId":{"type":"integer","description":"Payment API Payment Identifier for reference","format":"int32"},"CreatedDate":{"type":"string","format":"date-time"},"ModifiedDate":{"type":"string","format":"date-time","nullable":true},"Amount":{"type":"number","description":"Transaction Line Amount","format":"double"},"CommissionAmount":{"type":"number","format":"double","nullable":true},"PayFee":{"type":"boolean","description":"optional - cover the fees flag for the transaction. Indicates if the donor intended to cover the processing fees for the donation (primary used for Non Profit transactions like a donation)","nullable":true},"TransactionSourceGroupId":{"type":"integer","format":"int32","nullable":true},"CardFeeRate":{"type":"number","description":"example 2.5% - applied to EVERY donation. This is the FrontStream card processing fee. The percentage of the PaymentAmount that will be taken for credit card fees. Expressed as a human-readable percentage rather than a decimal value, it is intended to be able to be displayed directly on a page without needing to be converted.","format":"double","nullable":true},"CardFeeAmount":{"type":"number","description":"This is the amount that is owed to the gateway for the example 2.5% that FrontStream collects from the transaction.\r\n 2.5% of transaction amount if donor is not paying the fee, otherwise 2.5% of the transaction + card fee.","format":"double","nullable":true},"CardTypeFeeAmount":{"type":"number","description":"A per-transaction fee configured by card type (VI, MC, DI, AMEX, etc.) per API Partner's Contract other wise 0 (zero)","format":"double","nullable":true},"TotalCommissionRate":{"type":"number","description":"The Total percentage of Commissions that FrontStream takes from a given transaction.\r\nThis rate = Partner CommissionRate + FS CommissionRate","format":"double","nullable":true},"TotalCommissionAmount":{"type":"number","description":"The product of the transaction times the Total commission rate.","format":"double","nullable":true},"PartnerCommissionRate":{"type":"number","description":"The Partner Commission percentage taken on behalf of the Partner from a given transaction.","format":"double","nullable":true},"PartnerCommissionAmount":{"type":"number","description":"The product of the transaction times the Partner commission rate.","format":"double","nullable":true},"FsCommissionRate":{"type":"number","description":"The FrontStream Commission percentage that FrontStream takes from a given transaction.","format":"double","nullable":true},"FsCommissionAmount":{"type":"number","description":"The product of the transaction times the FrontStream commission rate.","format":"double","nullable":true},"TotalFees":{"type":"number","description":"The sum of all fees applied to a transaction amount. (TotalCommission + CardFee + FlatFee + CardFeeOnFee)","format":"double","nullable":true},"PerTransFee":{"type":"number","description":"The flat amount that will be taken from the PaymentAmount for any Per-Transaction Fees as configured in your contract.","format":"double","nullable":true},"ExternalLineId":{"type":"string","description":"optional - used to track individual line item IDs if necessary.","nullable":true},"Tip":{"type":"number","format":"double","nullable":true},"CommissionRateOverride":{"type":"number","format":"double","nullable":true},"Tax":{"type":"number","description":"Transaction Line Tax","format":"double","nullable":true},"CardFeeOnFeeAmount":{"type":"number","format":"double","nullable":true}},"additionalProperties":false,"description":"Transaction Line Details"},"BrokenRule":{"type":"object","properties":{"ErrorCode":{"type":"integer","format":"int32"},"Message":{"type":"string","nullable":true},"LoggerMessage":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## POST /api/exportOrganizationTransactionsReport

> Export Organization Transactions Report by valid organizationGuid in specified format "csv" or "excel". Defaults to "csv" if not provided

```json
{"openapi":"3.0.1","info":{"title":"The Payment API","version":"v1"},"paths":{"/api/exportOrganizationTransactionsReport":{"post":{"tags":["Reports"],"summary":"Export Organization Transactions Report by valid organizationGuid in specified format \"csv\" or \"excel\". Defaults to \"csv\" if not provided","parameters":[{"name":"organizationGuid","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"AccessToken","in":"header","description":"access token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}}}},"responses":{"200":{"description":"Success"},"400":{"description":"Failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BrokenRule"}}}}}}}}},"components":{"schemas":{"PaymentExportReportRequest":{"type":"object","properties":{"Filters":{"type":"array","items":{"$ref":"#/components/schemas/SelectedConstraintDto"},"description":"Report Filters","nullable":true},"SortColumns":{"type":"array","items":{"$ref":"#/components/schemas/SortColumnDto"},"description":"Sort Columns","nullable":true},"PageSize":{"type":"integer","description":"How many records to return per page.","format":"int32"},"PageIndex":{"type":"integer","description":"Which page of results to return. Starts at 1 (0 will also return the first page)","format":"int32"},"Format":{"type":"string","description":"Determines which file type the report will be exported to. Valid values: \"csv\" or \"excel\"","nullable":true}},"additionalProperties":false,"description":""},"SelectedConstraintDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Operation":{"$ref":"#/components/schemas/ConstraintOperation"},"Values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"ConstraintOperation":{"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23],"type":"integer","format":"int32"},"SortColumnDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Descending":{"type":"boolean"},"Order":{"type":"integer","format":"int32"}},"additionalProperties":false},"BrokenRule":{"type":"object","properties":{"ErrorCode":{"type":"integer","format":"int32"},"Message":{"type":"string","nullable":true},"LoggerMessage":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## Generate Source Transactions Report

> &#x20;Sample request to get transactions report filters by PaymentDate after (operation 7 = After)> \
> &#x20;January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning page index 1> \
> &#x20;and page size 1000 records.> \\
>
> \
> &#x20;Please see Filters and Operation parameters defined here for requests: <https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report#body-parameter-definitions>> \\
>
> \
> &#x20;    POST /api/sourceTransactionsReport> \
> &#x9;	{> \
> &#x20; 		"Filters": \[> \
> &#x20;   		{> \
> &#x20;     		"Name": "PaymentDate",> \
> &#x20;     		"Operation": 7,> \
> &#x20;     		"Values": \[> \
> &#x20;      		 "2026-01-01"> \
> &#x20;     		]> \
> &#x20;   		}> \
> &#x20; 		],> \
> &#x20; 		"SortColumns": \[> \
> &#x20;   		{> \
> &#x20;     		"Name": "PaymentDate",> \
> &#x20;     		"Descending": true,> \
> &#x20;     		"Order": 0> \
> &#x20;   		}> \
> &#x20; 		],> \
> &#x20; 		"PageSize": 1000,> \
> &#x20; 		"PageIndex": 1> \
> &#x9;	}

```json
{"openapi":"3.0.1","info":{"title":"The Payment API","version":"v1"},"paths":{"/api/sourceTransactionsReport":{"post":{"tags":["Reports"],"summary":"Generate Source Transactions Report","description":" Sample request to get transactions report filters by PaymentDate after (operation 7 = After)\r\n January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning page index 1\r\n and page size 1000 records.\r\n\r\n Please see Filters and Operation parameters defined here for requests: https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report#body-parameter-definitions\r\n\r\n     POST /api/sourceTransactionsReport\r\n\t\t{\r\n  \t\t\"Filters\": [\r\n    \t\t{\r\n      \t\t\"Name\": \"PaymentDate\",\r\n      \t\t\"Operation\": 7,\r\n      \t\t\"Values\": [\r\n       \t\t \"2026-01-01\"\r\n      \t\t]\r\n    \t\t}\r\n  \t\t],\r\n  \t\t\"SortColumns\": [\r\n    \t\t{\r\n      \t\t\"Name\": \"PaymentDate\",\r\n      \t\t\"Descending\": true,\r\n      \t\t\"Order\": 0\r\n    \t\t}\r\n  \t\t],\r\n  \t\t\"PageSize\": 1000,\r\n  \t\t\"PageIndex\": 1\r\n\t\t}","parameters":[{"name":"AccessToken","in":"header","description":"access token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentReportRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionReportDetailPagedResults"}}}},"400":{"description":"Failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BrokenRule"}}}}}}}}},"components":{"schemas":{"PaymentReportRequest":{"type":"object","properties":{"Filters":{"type":"array","items":{"$ref":"#/components/schemas/SelectedConstraintDto"},"description":"Report Filters","nullable":true},"SortColumns":{"type":"array","items":{"$ref":"#/components/schemas/SortColumnDto"},"description":"Sort Columns","nullable":true},"PageSize":{"type":"integer","description":"How many records to return per page.","format":"int32"},"PageIndex":{"type":"integer","description":"Which page of results to return. Starts at 1 (0 will also return the first page)","format":"int32"}},"additionalProperties":false,"description":""},"SelectedConstraintDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Operation":{"$ref":"#/components/schemas/ConstraintOperation"},"Values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"ConstraintOperation":{"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23],"type":"integer","format":"int32"},"SortColumnDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Descending":{"type":"boolean"},"Order":{"type":"integer","format":"int32"}},"additionalProperties":false},"TransactionReportDetailPagedResults":{"type":"object","properties":{"CurrentPage":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"Results":{"type":"array","items":{"$ref":"#/components/schemas/TransactionReportDetail"},"nullable":true},"TotalPages":{"type":"integer","format":"int32"},"TotalRows":{"type":"integer","format":"int32"}},"additionalProperties":false},"TransactionReportDetail":{"type":"object","properties":{"PaymentDate":{"type":"string","description":"Payment Date of transaction","format":"date-time"},"PaymentGuid":{"type":"string","description":"Payment API Payment GUID","format":"uuid"},"PaymentId":{"type":"integer","description":"Payment API Payment Id","format":"int32"},"PaymentExternalId":{"type":"string","description":"Payment Gateway TransactionId - is the TransactionId of a Payment Response object","nullable":true},"OriginalExternalID":{"type":"string","description":"Original Payment Gateway TransactionId - is the Original TransactionId of a Payment Response object","nullable":true},"ProcessStatus":{"$ref":"#/components/schemas/ProcessStatus"},"ProcessStatusValue":{"type":"string","description":"Process Status value - possible values: NotProcessed = 1 \"Not Processed\", Authorized = 2 \"Awaiting Authorization\", Settled = 4 \"Authorized\", Rejected = 5 \"Rejected\", RefundRequired = 6 \"Refund Required\", AwaitingRefund = 7 \"Awaiting Refund\", Refunded = 8 \"Refunded\", Cancelled = 9 \"Cancelled\", Chargeback = 10 \"Chargeback\", RefundRejected = 11 \"Refund Rejected\"","nullable":true},"PaymentResult":{"$ref":"#/components/schemas/PaymentResult"},"PaymentResultValue":{"type":"string","description":"Payment Result value - possible values: \"Pending\" = 1, \"Processing\" = 2, \"Successful\" = 3, \"Failed\" = 4, \"Refunded\" = 5, \"Cancelled\" = 6","nullable":true},"ExternalConstituentId":{"type":"string","description":"Donor Identifier","nullable":true},"FirstName":{"type":"string","description":"billing First Name","nullable":true},"LastName":{"type":"string","description":"billing Last Name","nullable":true},"Email":{"type":"string","description":"contact email","nullable":true},"CardHolderName":{"type":"string","description":"Name on Card","nullable":true},"CCLastDigits":{"type":"string","description":"if available - last 4 digits of card","nullable":true},"ExpirationDate":{"type":"string","description":"MM/YY format","nullable":true},"CCType":{"type":"string","description":"possible values if available: \"American Express\", \"Mastercard\", \"Visa\", \"Discover\", \"Diners Club\", Undefined","nullable":true},"CoverTheFee":{"type":"string","description":"YES/NO - did donor Cover the Fees on Donation.","nullable":true},"DonationAmount":{"type":"number","description":"The total donation amount requested.","format":"double"},"CoverTheFeeAmount":{"type":"number","description":"The total donation amount requested.","format":"double"},"TransactionAmount":{"type":"number","description":"The total transaction amount processed toward the cardholder's account.","format":"double"},"ServiceFees":{"type":"number","description":"The calculated total fees amount of the list of transaction lines.","format":"double"},"AmountPaid":{"type":"number","description":"The total transaction amount minus processing Fees","format":"double"},"Taxes":{"type":"number","description":"The calculated total tax amount of the list of transaction lines if any.","format":"double"},"Recurring":{"type":"string","description":"if available - YES/NO - if recurring billing contract used for transaction","nullable":true},"RecurringFrequency":{"type":"string","description":"if available - if recurring billing contract used for transaction\r\nPossible values:\r\n    \"Daily\", (once per day)\r\n    \"Weekly\", (once per week)\r\n    \"Bi-Weekly\", (once per 2 weeks)\r\n    \"Monthly\", (once per month)\r\n    \"Bi-Monthly\", (Once every 2 months)\r\n    \"Semi-Monthly\", (twice per month)\r\n    \"Quarterly\", (four times per year)\r\n    \"Semi-Annually\", (twice per year)\r\n    \"Annually\" (once per year)","nullable":true},"RecurringProfileGuid":{"type":"string","description":"if available - GUID that identifies the recurring billing contract used for transaction","format":"uuid","nullable":true},"NextBillDate":{"type":"string","description":"if available - Next Billing date of the recurring billing contract used for transaction","format":"date-time","nullable":true},"DistributionType":{"$ref":"#/components/schemas/DistributionType"},"DistributionTypeValue":{"type":"string","description":"if available for Non-Profit Charity data - Distribution Type value - possible values: \"Direct Deposit\" = 1, \"Check\" = 2. Indicates the payment method that was used to disburse the funds to the Charity.","nullable":true},"DistributionStatus":{"type":"string","description":"if available for Non-Profit Charity data - possible values: \"Processing\", \"Settled\", \"Refunded\", \"Voided\"","nullable":true},"DistributionId":{"type":"integer","description":"if available for Non-Profit Charity data - Unique identifier for the distribution.","format":"int32","nullable":true},"SourceGuid":{"type":"string","description":"Source used","format":"uuid"},"SourceName":{"type":"string","nullable":true},"CharityId":{"type":"string","description":"if available for Non-Profit Charity data - CharityId used","nullable":true},"OrganizationName":{"type":"string","description":"if available Non-Profit Charity data - Organization Name","nullable":true},"Ein":{"type":"string","description":"if available for Non-Profit Charity data - Charity EIN","nullable":true},"ExternalEventId":{"type":"string","description":"Event Identifier per Product","nullable":true},"ExternalEventGuid":{"type":"string","description":"Event Guid per Product","format":"uuid"},"ExternalEventName":{"type":"string","description":"Event Name per Product","nullable":true},"TaxableBenefit":{"type":"number","description":"optional - If part of the original donation transaction, amount passed in that was taxable. No calculations were performed using this value, it is simply a placeholder to be used for your own reporting;","format":"double"},"TranId":{"type":"string","description":"unique tran id per Integration Source if available","nullable":true},"VoidRequestDate":{"type":"string","description":"Date of Void Request if available","format":"date-time","nullable":true},"VoidReason":{"type":"string","description":"Void Reason submitted if available","nullable":true},"RefundRequestDate":{"type":"string","description":"Date of Refund Request if available","format":"date-time","nullable":true},"RefundReason":{"type":"string","description":"Refund Reason submitted if available","nullable":true},"ProcessorId":{"type":"integer","description":"ProcessorId used","format":"int32","nullable":true},"ProcessorGuid":{"type":"string","description":"ProcessorGuid used","format":"uuid","nullable":true},"PaymentMethodTypeId":{"type":"integer","description":"possible values if available:\r\nNONE = 0,\r\nAMEX = 1,\r\nMASTERCARD = 2,\r\nVISA = 3,\r\nDISCOVER = 4,\r\nDINERSCLUB = 5,\r\nACH = 7,\r\nGOOGLEPAY = 8,\r\nAPPLEPAY = 9","format":"int32","nullable":true},"PaymentMethodTypeIdValue":{"type":"string","description":"\"NONE\" = 0,\r\n\"AMEX\" = 1,\r\n\"MASTERCARD\" = 2,\r\n\"VISA\" = 3,\r\n\"DISCOVER\" = 4,\r\n\"DINERSCLUB\" = 5,\r\n\"ACH\" = 7,\r\n\"GOOGLEPAY\" = 8,\r\n\"APPLEPAY\" = 9","nullable":true},"Surcharge":{"type":"number","description":"if available - The total surcharge amount.","format":"double","nullable":true},"IsSurchargeEligible":{"type":"boolean","description":"if available - Was card used Surcharge eligible","nullable":true},"CheckLastDigits":{"type":"string","description":"if available - last 4 digits of check account used","nullable":true},"CheckNumber":{"type":"string","description":"if available - Valid Check Number used","nullable":true},"CheckTypeId":{"type":"integer","description":"if available for Check transactions - possible values -\r\n        1 = Personal,\r\n        2 = Corporate,\r\n        3 = Government","format":"int32","nullable":true},"CheckTypeIdValue":{"type":"string","description":"if available for Check transactions - possible values -\r\n        \"Personal\" = 1,\r\n        \"Corporate\" = 2,\r\n        \"Government\" = 3","nullable":true},"CheckAccountTypeId":{"type":"integer","description":"if available for Check transactions - possible values -\r\n        1 = Checking,\r\n        2 = Savings","format":"int32","nullable":true},"CheckAccountTypeIdValue":{"type":"string","description":"if available for Check transactions - possible values -\r\n        \"Checking\" = 1,\r\n        \"Savings\" = 2","nullable":true},"EpfSessionId":{"type":"string","description":"FrontStream unique Embedded Payment Form Session Id if available","format":"uuid","nullable":true},"TransactionLines":{"type":"array","items":{"$ref":"#/components/schemas/TransactionLinesDetail"},"nullable":true}},"additionalProperties":false,"description":"Transaction Report Details"},"ProcessStatus":{"enum":[1,2,3,4,5,6,7,8,9,10,11,12],"type":"integer","format":"int32"},"PaymentResult":{"enum":[1,2,3,4,5,6],"type":"integer","format":"int32"},"DistributionType":{"enum":[1,2],"type":"integer","format":"int32"},"TransactionLinesDetail":{"type":"object","properties":{"PaymentGuid":{"type":"string","description":"Payment API Payment GUID for reference","format":"uuid"},"PaymentLineId":{"type":"integer","description":"Payment API Payment Line Identifier for reference","format":"int32"},"PaymentId":{"type":"integer","description":"Payment API Payment Identifier for reference","format":"int32"},"CreatedDate":{"type":"string","format":"date-time"},"ModifiedDate":{"type":"string","format":"date-time","nullable":true},"Amount":{"type":"number","description":"Transaction Line Amount","format":"double"},"CommissionAmount":{"type":"number","format":"double","nullable":true},"PayFee":{"type":"boolean","description":"optional - cover the fees flag for the transaction. Indicates if the donor intended to cover the processing fees for the donation (primary used for Non Profit transactions like a donation)","nullable":true},"TransactionSourceGroupId":{"type":"integer","format":"int32","nullable":true},"CardFeeRate":{"type":"number","description":"example 2.5% - applied to EVERY donation. This is the FrontStream card processing fee. The percentage of the PaymentAmount that will be taken for credit card fees. Expressed as a human-readable percentage rather than a decimal value, it is intended to be able to be displayed directly on a page without needing to be converted.","format":"double","nullable":true},"CardFeeAmount":{"type":"number","description":"This is the amount that is owed to the gateway for the example 2.5% that FrontStream collects from the transaction.\r\n 2.5% of transaction amount if donor is not paying the fee, otherwise 2.5% of the transaction + card fee.","format":"double","nullable":true},"CardTypeFeeAmount":{"type":"number","description":"A per-transaction fee configured by card type (VI, MC, DI, AMEX, etc.) per API Partner's Contract other wise 0 (zero)","format":"double","nullable":true},"TotalCommissionRate":{"type":"number","description":"The Total percentage of Commissions that FrontStream takes from a given transaction.\r\nThis rate = Partner CommissionRate + FS CommissionRate","format":"double","nullable":true},"TotalCommissionAmount":{"type":"number","description":"The product of the transaction times the Total commission rate.","format":"double","nullable":true},"PartnerCommissionRate":{"type":"number","description":"The Partner Commission percentage taken on behalf of the Partner from a given transaction.","format":"double","nullable":true},"PartnerCommissionAmount":{"type":"number","description":"The product of the transaction times the Partner commission rate.","format":"double","nullable":true},"FsCommissionRate":{"type":"number","description":"The FrontStream Commission percentage that FrontStream takes from a given transaction.","format":"double","nullable":true},"FsCommissionAmount":{"type":"number","description":"The product of the transaction times the FrontStream commission rate.","format":"double","nullable":true},"TotalFees":{"type":"number","description":"The sum of all fees applied to a transaction amount. (TotalCommission + CardFee + FlatFee + CardFeeOnFee)","format":"double","nullable":true},"PerTransFee":{"type":"number","description":"The flat amount that will be taken from the PaymentAmount for any Per-Transaction Fees as configured in your contract.","format":"double","nullable":true},"ExternalLineId":{"type":"string","description":"optional - used to track individual line item IDs if necessary.","nullable":true},"Tip":{"type":"number","format":"double","nullable":true},"CommissionRateOverride":{"type":"number","format":"double","nullable":true},"Tax":{"type":"number","description":"Transaction Line Tax","format":"double","nullable":true},"CardFeeOnFeeAmount":{"type":"number","format":"double","nullable":true}},"additionalProperties":false,"description":"Transaction Line Details"},"BrokenRule":{"type":"object","properties":{"ErrorCode":{"type":"integer","format":"int32"},"Message":{"type":"string","nullable":true},"LoggerMessage":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## POST /api/exportSourceTransactionsReport

> Export Source Transactions Report in specified format "csv" or "excel". Defaults to "csv" if not provided

```json
{"openapi":"3.0.1","info":{"title":"The Payment API","version":"v1"},"paths":{"/api/exportSourceTransactionsReport":{"post":{"tags":["Reports"],"summary":"Export Source Transactions Report in specified format \"csv\" or \"excel\". Defaults to \"csv\" if not provided","parameters":[{"name":"AccessToken","in":"header","description":"access token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentExportReportRequest"}}}},"responses":{"200":{"description":"Success"},"400":{"description":"Failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BrokenRule"}}}}}}}}},"components":{"schemas":{"PaymentExportReportRequest":{"type":"object","properties":{"Filters":{"type":"array","items":{"$ref":"#/components/schemas/SelectedConstraintDto"},"description":"Report Filters","nullable":true},"SortColumns":{"type":"array","items":{"$ref":"#/components/schemas/SortColumnDto"},"description":"Sort Columns","nullable":true},"PageSize":{"type":"integer","description":"How many records to return per page.","format":"int32"},"PageIndex":{"type":"integer","description":"Which page of results to return. Starts at 1 (0 will also return the first page)","format":"int32"},"Format":{"type":"string","description":"Determines which file type the report will be exported to. Valid values: \"csv\" or \"excel\"","nullable":true}},"additionalProperties":false,"description":""},"SelectedConstraintDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Operation":{"$ref":"#/components/schemas/ConstraintOperation"},"Values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"ConstraintOperation":{"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23],"type":"integer","format":"int32"},"SortColumnDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Descending":{"type":"boolean"},"Order":{"type":"integer","format":"int32"}},"additionalProperties":false},"BrokenRule":{"type":"object","properties":{"ErrorCode":{"type":"integer","format":"int32"},"Message":{"type":"string","nullable":true},"LoggerMessage":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.frontstream.com/welcome-to-our-payment-api/api-references/test-payment-api-features/each-api-reference-specifics/reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
